POST api/SpotterIntegration/DeleteEncounterDocument?companyCode={companyCode}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| companyCode | string |
Required |
Body Parameters
EncounterDocumentRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| VendorEncounterId | integer |
None. |
|
| VendorCaseNo | integer |
None. |
|
| File | Collection of byte |
None. |
|
| FileName | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"VendorEncounterId": 1,
"VendorCaseNo": 2,
"File": "QEA=",
"FileName": "sample string 3"
}
application/xml, text/xml
Sample:
<EncounterDocumentRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ASAP_BL.BL._SpotterIntegration.Model"> <File>QEA=</File> <FileName>sample string 3</FileName> <VendorCaseNo>2</VendorCaseNo> <VendorEncounterId>1</VendorEncounterId> </EncounterDocumentRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfString| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | string |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": "sample string 3",
"totalCount": 4
}
application/xml, text/xml
Sample:
<AsapResponseOfstring xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ASAP_BL.Common"> <isSuccess>true</isSuccess> <jsonObj>sample string 3</jsonObj> <message>sample string 2</message> <totalCount>4</totalCount> </AsapResponseOfstring>